> For the complete documentation index, see [llms.txt](https://docs.pandablue.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pandablue.com/api-documentation/cashouts-api/countries-validations/asian-countries/vietnam.md).

# Vietnam

## Required fields

| Field                  | Format                                                                                                                             | Description                                                                                |
| ---------------------- | ---------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------ |
| `login`                | String                                                                                                                             | Cashouts login                                                                             |
| `pass`                 | String                                                                                                                             | Cashouts pass                                                                              |
| `external_id`          | String (max length: 100)                                                                                                           | Transaction's ID on your end                                                               |
| `document_id`          | See [document validations](/specifications/countries-specifications.md#documents-validations)                                      | Beneficiary's document ID                                                                  |
| `country`              | `VN`                                                                                                                               | See [country codes](/specifications/countries-specifications.md#countries-and-currencies)  |
| `currency`             | `VND` / `USD`                                                                                                                      | See [currency codes](/specifications/countries-specifications.md#countries-and-currencies) |
| `amount`               | Number with up to 2 decimals                                                                                                       | Cashout amount                                                                             |
| `bank_account`         | See [validations below](/api-documentation/cashouts-api/countries-validations/asian-countries/vietnam.md#bank-account-validations) | Beneficiary's bank account                                                                 |
| `bank_code`            | See [bank codes](/api-documentation/cashouts-api/countries-validations/asian-countries/vietnam.md#bank-codes)                      | Code specifying the beneficiary's bank                                                     |
| `beneficiary_name`     | String (max length: 100)                                                                                                           | Beneficiary's name                                                                         |
| `beneficiary_lastname` | String (max length: 100)                                                                                                           | Beneficiary's last name                                                                    |

## Bank Account Validations

| Bank name | Bank code | Format  | Example               |
| --------- | :-------: | ------- | --------------------- |
| All       |     -     | Numeric | 123456789, 9283749293 |

## Document Validations

[Click here](/specifications/countries-specifications.md#documents-validations) to check document types and validations.

## Example Request

```java
{
    "login": "xxxxxxx",
    "pass": "xxxxxxx",
    "external_id": "30000000001",
    "document_id": "873839473",
    "beneficiary_name": "pruebaq",
    "beneficiary_lastname": "prueba",
    "country": "VN",
    "amount": 100,
    "currency": "VND",
    "bank_code": "400",
    "bank_account": "16800026081",
    "notification_url": "https://webhook.site/url",
    "type": "json"
}
```

## Bank Codes

| Bank                                           | Code |
| ---------------------------------------------- | ---- |
| SAIGON Bank                                    | 400  |
| Bank for Investment and Development of Vietnam | 401  |
| Sacom Bank                                     | 403  |
| Agribank                                       | 405  |
| DongA Joint Stock Commercial Bank              | 406  |
| Techcom Bank                                   | 407  |
| VietinBank                                     | 415  |
| Asia Commercial Bank                           | 416  |
| Eximbank Vietnam                               | 431  |
| Vietcom Bank                                   | 436  |
| Vietnam International Bank                     | 441  |

{% hint style="info" %}
For the full and most up-to-date list of banks and its codes, please check the [Cashout Bank Code endpoint.](/api-documentation/cashouts-api/endpoints/cashout-bank-codes.md)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pandablue.com/api-documentation/cashouts-api/countries-validations/asian-countries/vietnam.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
